racket-mode (20260626~git.97d9b8b-1) unstable; urgency=medium

  * Update to new upstream version 20260626~git.97d9b8b.
  * Update standards version to 4.7.4, no changes needed.
  * Set upstream metadata fields: Repository.
  * Update upstream copyright years
  * Update to debhelper-compat 14; no change needed
  * Update my email address

 -- Xiyue Deng <manphiz@debian.org>  Sun, 28 Jun 2026 16:48:13 -0700

racket-mode (20260303~git.e5f22ad-1) unstable; urgency=medium

  * Update to new upstream version 20260303~git.e5f22ad.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 07 Mar 2026 16:15:06 -0800

racket-mode (20260117~git.71f27c6-1) unstable; urgency=medium

  * Update to new upstream version 20260117~git.71f27c6.
  * Update my Debian copyright year

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 20 Jan 2026 16:44:24 -0800

racket-mode (20260106~git.150b057-1) unstable; urgency=medium

  * Update to new upstream version 20260106~git.150b057.
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 08 Jan 2026 01:57:19 -0800

racket-mode (20251220~git.577af47-1) unstable; urgency=medium

  * Update to new upstream version 20251220~git.577af47.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 26 Dec 2025 15:45:36 -0800

racket-mode (20251107~git.d98852e-1) unstable; urgency=medium

  * Update to new upstream version 20251107~git.d98852e.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Nov 2025 20:25:33 -0800

racket-mode (20251029~git.b74e6d3-1) unstable; urgency=medium

  * Update to new upstream version 20251029~git.b74e6d3.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 01 Nov 2025 15:48:28 -0700

racket-mode (20251020~git.143d453-1) unstable; urgency=medium

  * Update to new upstream version 20251020~git.143d453.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 25 Oct 2025 20:01:34 -0700

racket-mode (20251013~git.b9a4f51-1) unstable; urgency=medium

  * Update to new upstream version 20251013~git.b9a4f51.
  * Drop "Rules-Requires-Root: no"
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 17 Oct 2025 00:52:15 -0700

racket-mode (20250830~git.f3952cd-1) unstable; urgency=medium

  * Update to new upstream version 20250830~git.f3952cd.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 11 Sep 2025 00:06:56 -0700

racket-mode (20250828~git.172b7d4-1) unstable; urgency=medium

  * Update to new upstream version 20250828~git.172b7d4.
  * Migrate d/watch to rfc822-style version 5 foramt
  * Drop custom autopkgtest handling
    - The intension was to skip architectures that fails the tests, but
      that didn't work for arch:all package, so there is no advantage over
      autopkgtest-pkg-elpa at all.
    - Re-enable autopkgtest-pkg-elpa in d/control.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 31 Aug 2025 00:14:57 -0700

racket-mode (20250711~git.8a80578-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Update to new upstream version 20250711~git.8a80578.

  [ Ural Tunaboyu ]
  * d/control: change Build-Depends to use libjpeg-dev instead of
    libjpeg62-turbo-dev.
     - Ubuntu does not have libjpeg62-turbo-dev but instead uses
       libjpeg-turbo8-dev to provide the libjpeg-dev virtual package. Use
       the more general package to avoid build failures.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 14 Aug 2025 23:23:22 -0700

racket-mode (20250501~git.2eec63c-1) unstable; urgency=medium

  * Update to new upstream version 20250501~git.2eec63c.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 02 May 2025 00:11:19 -0700

racket-mode (20250425~git.e20a544-1) unstable; urgency=medium

  * Update to new upstream version 20250425~git.e20a544.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 27 Apr 2025 23:40:03 -0700

racket-mode (20250421~git.b8ff3bd-1) unstable; urgency=medium

  * Update to new upstream version 20250421~git.b8ff3bd.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 22 Apr 2025 23:40:57 -0700

racket-mode (20250324~git.88d82e2-1) unstable; urgency=medium

  * Update to new upstream version 20250324~git.88d82e2.

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 24 Mar 2025 14:33:55 -0700

racket-mode (20250321~git.f5098c6-3) unstable; urgency=medium

  * Skip autopkgtest on ppc64el and riscv64
    - Times out after 3 hours.

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 24 Mar 2025 02:12:29 -0700

racket-mode (20250321~git.f5098c6-2) unstable; urgency=medium

  * Only run ERT tests in autopkgtest
    - The racket tests run too slow on slow architectures and time out on
      buildds.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 23 Mar 2025 15:13:34 -0700

racket-mode (20250321~git.f5098c6-1) unstable; urgency=medium

  * Update to new upstream version 20250321~git.f5098c6.
  * Clean up doc after dh_clean instead of dh_auto_clean
  * Add d/tests/control for autopkgtest
    - Perform all recommended tests in autopkgtest including `make
      test-racket' and ERT tests.
    - Skip autopkgtest on armel as it still uses racket BC.
    - Drop "Testsuite: autopkgtest-pkg-elpa" in d/control.
  * Use a longer timeout for Debian buildd environments
    - 900 seconds is still not long enough for some slower architectures.
    - Increase to 1800 seconds.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 23 Mar 2025 03:23:21 -0700

racket-mode (20250312~git.cf92277-1) unstable; urgency=medium

  * Update to new upstream version 20250312~git.cf92277.
    - Improve UX for back end startup failures.
  * Use extend-diff-ignore in d/s/options to avoid extraneous diffs during
    building
    - Drop save/restore handling in d/rules in favor of d/s/options.
    - This simplifies the handling of doc/racket-mode.texi diffs generated
      during building that causes source changes and fails
      build-twice-in-a-row.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 18 Mar 2025 14:25:00 -0700

racket-mode (20250212~git.eef5e9a-1) unstable; urgency=medium

  * Update to new upstream version 20250212~git.eef5e9a.
  * Mark elpa-racket-mode-doc as "Multi-Arch: foreign"
  * Update Standards-Version to 4.7.2; no change needed
  * Save and restore doc/racket-mode.texi to fix build-twice-in-a-row

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 23:16:50 -0800

racket-mode (20250205~git.d9e66c7-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 01 Mar 2025 17:49:55 +0800

racket-mode (20250205~git.d9e66c7-2~exp2) experimental; urgency=medium

  * Team upload.

  [ Xiyue Deng ]
  * Add elpa-racket-mode-doc package for racket-mode docs
    - Enable building docs in d/rules
    - Rename d/elpa -> d/elpa-racket-mode.elpa
    - Add elpa-racket-mode-doc section in d/control
      + Also capitalize Emacs.
    - Suggests elpa-racket-mode-doc in elpa-racket-mode in d/control
    - Add packages required for building docs to B-D in d/control
      + Also remove <!nocheck> for racket as it's also required for
        building docs.
    - Add d/elpa-racket-mode-doc.docs for documentations
    - Add d/elpa-racket-mode-doc.info for info pages and linked images
    - Skip compressing svg files referenced in info pages
    - Add lintian-overrides for info page figures
    - Add d/elpa-racket-mode-doc.doc-base registry
  * Enable all tests
    - racket-tests/repl has been fixed upstream.

  [ Sean Whitton ]
  * Replace build-dep elpa-faceup -> Emacs 30.1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 28 Feb 2025 18:38:07 +0800

racket-mode (20250205~git.d9e66c7-1) unstable; urgency=medium

  * Update to new upstream version 20250205~git.d9e66c7.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 08 Feb 2025 01:50:53 -0800

racket-mode (20250125~git.a3bcfd2-1) unstable; urgency=medium

  * Update to new upstream version 20250125~git.a3bcfd2.
  * Add d/salsa-ci.yml with default template
  * Add git <!nocheck> to Build-Depends in d/control
    - This is required for ERT running on Salsa CI.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 31 Jan 2025 13:23:03 -0800

racket-mode (20250122~git.142c36c-1) unstable; urgency=medium

  * Upload to unstable

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 23 Jan 2025 23:29:45 -0800

racket-mode (20250122~git.142c36c-1~exp1) experimental; urgency=medium

  * Update to new upstream version 20250122~git.142c36c.
    - Upstream now properly detect headless build daemon environments and
      skip tests that are not applicable.
    - As we now also run test-racket, we have coverage on all available
      tests (Closes: #978709)
  * Drop all custom patches now that they are properly handled upstream

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 22 Jan 2025 10:41:56 -0800

racket-mode (20250115~git.9e6ea1f-1~exp4) experimental; urgency=medium

  * Skip tests skipped in CI mode when in Debian Buildd mode

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 20 Jan 2025 03:00:36 -0800

racket-mode (20250115~git.9e6ea1f-1~exp3) experimental; urgency=medium

  * Run both racket and racket-mode tests
    - Set HOME to a temporary directory which is required by the racket
      tests
    - Use the test-racket make target for racket tests
    - Run dh_elpa_test for ERT tests
  * Update Makefile to make it easier to exclude tests.
  * Skip scribble test: failing on Racket 8.14.
  * Skip hash-lang test: require display and not supported in sbuild.
  * Add d/ert-helper.el to skip tests
    - Skip racket-tests/repl which stuck until timeout.
  * Add myself to the debian/* clause in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 19 Jan 2025 21:24:07 -0800

racket-mode (20250115~git.9e6ea1f-1~exp2) experimental; urgency=medium

  * Introduce a new envvar to set a longer timeout for Debian buildds
  * Set DEBIAN_BUILDD to use longer timeout for slower architectures

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 18 Jan 2025 15:32:38 -0800

racket-mode (20250115~git.9e6ea1f-1~exp1) experimental; urgency=medium

  * Update to new upstream version 20250115~git.9e6ea1f.
  * Further increase command timeout to 15 minutes

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 16 Jan 2025 18:02:25 -0800

racket-mode (20250103~git.f2645aa-2~exp1) experimental; urgency=medium

  * Increase timeout of test in CI mode
    - In the previous upload 6 of the tests timed out on all archs except
      amd64 which might be the only arch that was fast enough to finish
      any operation within 60 seconds.
    - Test increasing timeout to 5 minutes.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 14 Jan 2025 20:29:16 -0800

racket-mode (20250103~git.f2645aa-1) unstable; urgency=medium

  * Update to new upstream version 20250103~git.f2645aa.
  * Upload to unstable.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 12 Jan 2025 02:05:02 -0800

racket-mode (20241227~git.f4fe6dd-1) experimental; urgency=medium

  * Update to new upstream version 20241227~git.f4fe6dd.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 03 Jan 2025 03:25:25 -0800

racket-mode (20241217~git.3dc8c17-1) experimental; urgency=medium

  [ Xiyue Deng ]
  * Update to new upstream version 20241217~git.3dc8c17
  * Update d/watch scheme to include commit hash
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse
  * Use canonical URL in Vcs-Browser
  * Update standards version to 4.7.0, no changes needed
  * Drop oldoldstable emacs version in Recommends in d/control
  * Add "Rules-Requires-Root: no" to d/control
  * Update build-depends required for tests in d/control
  * Change section from lisp to editors in d/control
  * Set user-emacs-directory to a temp path required by tests in
    d/elpa-test
  * Enable elpa test in d/rules
  * Add Upstream-Contact in d/copyright
  * Update license from GPL-2+ to GPL-3+ as per upstream in d/copyright
    - Upstream updated the license from version 2 and later to version 3
      and later in 2022.
  * Add copyright clause for debian directory in d/copyright (Closes:
    #1091177)
    - Copyright holder is David Bremner based on history and granted by
      David.
    - Also add comments stating that the license of "debian/*" should
      follow upstream as granted by David.
    - Add David's email at Bug#1091177 as reference for clarification.
  * Add d/gbp.conf matching the current practice
  * Add d/README.Debian to document the dgit-maint-debrebase workflow
  * Add myself to Uploaders in d/control

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 27 Dec 2024 13:27:38 +0000

racket-mode (20240301git0-2) experimental; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:40:29 +0900

racket-mode (20240301git0-1) experimental; urgency=medium

  * Update to new upstream version 20240301git0.
  * Drop patch for racket-tests/expand-expression, now upstream.
  * Install all top level elisp files
  * Use upstream generated racket-mode-pkg.el. This will generate an "elpa
    version" of 1; hopefully this does not break anything.

 -- David Bremner <bremner@debian.org>  Mon, 04 Mar 2024 09:34:48 -0400

racket-mode (20240129git0-2) unstable; urgency=medium

  * Expect test "racket-tests/expand-expression" to pass on racket 8.10
    (for autopkgtests).

 -- David Bremner <bremner@debian.org>  Thu, 29 Feb 2024 08:47:30 -0400

racket-mode (20240129git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Improved macro hiding in expander (github issue 697)

 -- David Bremner <bremner@debian.org>  Mon, 29 Jan 2024 06:28:11 -0400

racket-mode (20231222git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Includes support for M-x racket-hash-lang-mode

 -- David Bremner <bremner@debian.org>  Fri, 22 Dec 2023 16:19:54 -0800

racket-mode (20230628git0-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sun, 09 Jul 2023 17:35:47 -0300

racket-mode (20230425git0-4) unstable; urgency=medium

  * Re-enable all tests, but in upstream's "CI" mode.

 -- David Bremner <bremner@debian.org>  Wed, 28 Jun 2023 08:03:21 +0200

racket-mode (20230425git0-3) unstable; urgency=medium

  * Disable two speed tests, as they can fail in slow environments.

 -- David Bremner <bremner@debian.org>  Sat, 24 Jun 2023 18:26:06 +0200

racket-mode (20230425git0-2) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 18 Jun 2023 19:00:17 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog elpa-racket-mode`.
